Returns referral connections for the current firm with direction indicated. Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/referral-connections

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma-separated list of UUIDs.

  • filter[status] string

    Filter by status. Valid values: pending, accepted, denied.

  • filter[direction] string

    Filter by direction. Valid values: sent, received.

  • filter[recipient_uuid] string

    Filter by recipient account UUID.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, status, expires_at]. Negative sign to denote DESC. Defaults to '-created_at'.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string
GET /api/v1/referral-connections
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/referral-connections' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (401)
{
  "message": "Unauthenticated."
}